be.cin.nip.sync.reg.v1

## Class Registrations

- java.lang.Object
- - be.cin.nip.sync.reg.v1.Registrations

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:09:09+02:00",
                 comments="JAXB RI v2.3.7")
      public class Registrations
      extends Object
      implements Serializable

  Java class for registrationsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="registrationsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="registrant" type="{urn:be:cin:nip:sync:reg:v1}registrantType"/>
               <element name="registration" type="{urn:be:cin:nip:sync:reg:v1}registrationType"/>
             </sequence>
             <attribute name="StartDateTime" use="required" type="{http://www.w3.org/2001/XMLSchema}date" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Registrations()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegistrantType` | `getRegistrant()` Gets the value of the registrant property.
    `RegistrationType` | `getRegistration()` Gets the value of the registration property.
    `org.joda.time.DateTime` | `getStartDateTime()` Gets the value of the startDateTime property.
    `void` | `setRegistrant(RegistrantType value)` Sets the value of the registrant property.
    `void` | `setRegistration(RegistrationType value)` Sets the value of the registration property.
    `void` | `setStartDateTime(org.joda.time.DateTime value)` Sets the value of the startDateTime property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Registrations

          public Registrations()

  - ### Method Detail

    - #### getRegistrant

          public RegistrantType getRegistrant()

      Gets the value of the registrant property.
      Returns:
        possible object is `RegistrantType`

    - #### setRegistrant

          public void setRegistrant(RegistrantType value)

      Sets the value of the registrant property.
      Parameters:
        `value` - allowed object is `RegistrantType`

    - #### getRegistration

          public RegistrationType getRegistration()

      Gets the value of the registration property.
      Returns:
        possible object is `RegistrationType`

    - #### setRegistration

          public void setRegistration(RegistrationType value)

      Sets the value of the registration property.
      Parameters:
        `value` - allowed object is `RegistrationType`

    - #### getStartDateTime

          public org.joda.time.DateTime getStartDateTime()

      Gets the value of the startDateTime property.
      Returns:
        possible object is `String`

    - #### setStartDateTime

          public void setStartDateTime(org.joda.time.DateTime value)

      Sets the value of the startDateTime property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.